Commit 72d5ea90 authored by Lorenzo "Palinuro" Faletra's avatar Lorenzo "Palinuro" Faletra Committed by Lorenzo "Palinuro" Faletra
Browse files

Import Debian changes 1:1.3.2+git20191101-0parrot1

rtlsdr-scanner (1:1.3.2+git20191101-0parrot1) rolling; urgency=medium
.
  * Rebuild package.
.
rtlsdr-scanner (1:1.3.2+git20191101-0kali1) kali-dev; urgency=medium
.
  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file
.
  [ Sophie Brun ]
  * New upstream version 1.3.2+git20191101 (from
    https://github.com/CdeMills/RTLSDR-Scanner repo)
  * Update packaging for Python 3
  * Add missing depends: python3-ipdb
  * Change upstream repo to have Python 3 support
  * update debian/copyright
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.5.0
.
rtlsdr-scanner (1:1.3.2-0kali1) kali-dev; urgency=medium
.
  * Import new upstream release (see 5078)
.
rtlsdr-scanner (1:1.0.22093.8629-0kali1) kali-dev; urgency=medium
.
  * Import new upstream release
  * Add dependencies on python-pil and python-serial
  * Update dates in debian/copyright
  * Update debian/watch as author uses tags now
  * Update debian/rtlsdr-scanner.install and debian/docs
.
rtlsdr-scanner (20130829+git20130829-1kali2) kali-dev; urgency=medium
.
  * drop depends to python-wxgtk2.8 and replace by python-wxgtk3.0
.
rtlsdr-scanner (20130829+git20130829-1kali1) kali-dev; urgency=medium
.
  [ Sophie Brun ]
  * Use debhelper 9 and fix vcs-git
  * Update depends with new names of packages: rtl-sdr instead of
    librtlsdr-bin and librtlsdr0 instead of librtlsdr
.
  [ Raphaël Hertzog ]
  * Drop dependency on librtlsdr0, we don't use it but python-rtlsdr does.
.
rtlsdr-scanner (20130829+git20130829-1kali0) kali; urgency=low
.
  * Initial release (Closes: 0000560)
parent e4c2e911
Pipeline #3009 failed with stages
rtlsdr-scanner (1:1.3.2+git20191101-0parrot1) rolling; urgency=medium
* Rebuild package.
-- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Wed, 28 Apr 2021 11:50:23 +0200
rtlsdr-scanner (1:1.3.2+git20191101-0kali1) kali-dev; urgency=medium
[ Raphaël Hertzog ]
* Update Vcs-* fields for the move to gitlab.com
* Add GitLab's CI configuration file
* Configure git-buildpackage for Kali
* Update URL in GitLab's CI configuration file
[ Sophie Brun ]
* New upstream version 1.3.2+git20191101 (from
https://github.com/CdeMills/RTLSDR-Scanner repo)
* Update packaging for Python 3
* Add missing depends: python3-ipdb
* Change upstream repo to have Python 3 support
* update debian/copyright
* Use debhelper-compat 12
* Bump Standards-Version to 4.5.0
-- Sophie Brun <sophie@offensive-security.com> Fri, 03 Apr 2020 18:33:36 +0200
rtlsdr-scanner (1:1.3.2-0kali1) kali-dev; urgency=medium
* Import new upstream release (see 5078)
-- Sophie Brun <sophie@freexian.com> Wed, 07 Nov 2018 14:36:14 +0100
rtlsdr-scanner (1:1.0.22093.8629-0kali1) kali-dev; urgency=medium
* Import new upstream release
* Add dependencies on python-pil and python-serial
* Update dates in debian/copyright
* Update debian/watch as author uses tags now
* Update debian/rtlsdr-scanner.install and debian/docs
-- Sophie Brun <sophie@freexian.com> Fri, 22 Jan 2016 16:18:15 +0100
rtlsdr-scanner (20130829+git20130829-1kali2) kali-dev; urgency=medium
* drop depends to python-wxgtk2.8 and replace by python-wxgtk3.0
-- Sophie Brun <sophie@freexian.com> Wed, 03 Dec 2014 12:01:12 +0100
rtlsdr-scanner (20130829+git20130829-1kali1) kali-dev; urgency=medium
[ Sophie Brun ]
* Use debhelper 9 and fix vcs-git
* Update depends with new names of packages: rtl-sdr instead of
librtlsdr-bin and librtlsdr0 instead of librtlsdr
[ Raphaël Hertzog ]
* Drop dependency on librtlsdr0, we don't use it but python-rtlsdr does.
-- Sophie Brun <sophie@freexian.com> Fri, 08 Aug 2014 15:38:34 +0200
rtlsdr-scanner (20130829+git20130829-1kali0) kali; urgency=low
* Initial release (Closes: 0000560)
-- Devon Kearns <dookie@kali.org> Thu, 29 Aug 2013 14:35:56 -0600
Source: rtlsdr-scanner
Section: comm
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/CdeMills/RTLSDR-Scanner
Vcs-Git: https://gitlab.com/kalilinux/packages/rtlsdr-scanner.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/rtlsdr-scanner
Package: rtlsdr-scanner
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-rtlsdr, python3-visvis, python3-wxgtk4.0, python3-ipdb
Description: simple spectrum analyser for scanning with a RTL-SDR compatible USB device
A cross platform Python frequency scanning GUI for the OsmoSDR rtl-sdr library.
.
The scanner attempts to overcome the tuner's frequency response by averaging
scans from both the positive and negative frequency offsets of the baseband
data.
Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: rtlsdr-scanner
Source: https://github.com/CdeMills/RTLSDR-Scanner
Files: *
Copyright: 2012, 2017 Al Brown <al@eartoearoak.com>
License: GPL-3+
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.
.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
.
On Debian systems, the complete text of the GNU General
Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
Files: debian/*
Copyright: 2013 Devon Kearns <dookie@kali.org>
2018-2020 Sophie Brun <sophie@offensive-security.com>
License: GPL-2+
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
.
On Debian systems, the complete text of the GNU General
Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
readme.md
doc/*
[DEFAULT]
debian-branch = kali/master
debian-tag = kali/%(version)s
pristine-tar = True
[pq]
patch-numbers = False
[dch]
multimaint-merge = True
#!/bin/bash
exec python3 -m rtlsdr_scanner "$@"
include:
- https://gitlab.com/kalilinux/tools/kali-ci-pipeline/raw/master/recipes/kali.yml
Description: Fix the .desktop
Add missing main category and update Exec command.
Author: Sophie Brun <sophie@offensive-security.com>
Last-Update: 2018-11-08
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/rtlsdr-scanner.desktop
+++ b/rtlsdr-scanner.desktop
@@ -2,5 +2,5 @@
Type = Application
Name = RTLSDR Scanner
Comment = A cross platform Python frequency scanning GUI for the OsmoSDR rtl-sdr library
-Exec = python -m rtlsdr_scanner
-Categories = HamRadio;
+Exec = rtlsdr-scanner
+Categories =Utility;HamRadio;
fix-the-desktop-command.patch
debian/helper-script/* usr/bin/
*.desktop usr/share/applications/
#!/usr/bin/make -f
%:
dh $@ --with python3 --buildsystem=pybuild
version=3
opts="filenamemangle=s/.*\/v?(.*)\.tar\.gz/rtlsdr-scanner-$1.tar.gz/" \
https://github.com/CdeMills/RTLSDR-Scanner/tags .*/v?(.*)\.tar\.gz
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment